Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.management
Interface WorkSubstituteMBean

    public interface WorkSubstituteMBean

MBean for accessing work substitute configuration for Worklist

Method Summary
`String[]` | `addWorkSubstituteRules(String rulesXML)` Add substitute rules using the XML for a WorkSubstituteRulesDocument instance, generated by calling WorkSubstituteRulesDocument.xmlText().
`WorkSubstituteRulesDocument` | `getAllWorkSubstituteRules()`
`String` | `getWorkSubstitute(String user, Date date)`
`WorkSubstituteRuleType` | `getWorkSubstituteRule(String ruleId)`
`WorkSubstituteRulesDocument` | `getWorkSubstituteRulesWithSource(String source)`
`WorkSubstituteRulesDocument` | `getWorkSubstituteRulesWithTarget(String target)`
`void` | `removeWorkSubstituteRules(String[] workSubstituteRuleIds)`
`void` | `updateWorkSubstituteRules(String rulesXML)` Update substitute rules using the XML for a WorkSubstituteRulesDocument instance, generated by calling WorkSubstituteRulesDocument.xmlText().

Method Detail

### getAllWorkSubstituteRules

    WorkSubstituteRulesDocument getAllWorkSubstituteRules()
                                                          throws ManagementException

  Throws:
    `ManagementException`

### getWorkSubstituteRulesWithSource

    WorkSubstituteRulesDocument getWorkSubstituteRulesWithSource(String source)
                                                                 throws ManagementException

  Throws:
    `ManagementException`

### getWorkSubstituteRulesWithTarget

    WorkSubstituteRulesDocument getWorkSubstituteRulesWithTarget(String target)
                                                                 throws ManagementException

  Throws:
    `ManagementException`

### getWorkSubstitute

    String getWorkSubstitute(String user,
                             Date date)
                             throws ManagementException

  Throws:
    `ManagementException`

### getWorkSubstituteRule

    WorkSubstituteRuleType getWorkSubstituteRule(String ruleId)
                                                 throws ManagementException

  Throws:
    `ManagementException`

### updateWorkSubstituteRules

    void updateWorkSubstituteRules(String rulesXML)
                                   throws ManagementException

  Update substitute rules using the XML for a WorkSubstituteRulesDocument instance, generated by calling WorkSubstituteRulesDocument.xmlText().

  Parameters:
    `rulesXML` -
  Throws:
    `ManagementException`

### removeWorkSubstituteRules

    void removeWorkSubstituteRules(String[] workSubstituteRuleIds)
                                   throws ManagementException

  Parameters:
    `workSubstituteRuleIds` -
  Throws:
    `ManagementException`

### addWorkSubstituteRules

    String[] addWorkSubstituteRules(String rulesXML)
                                    throws ManagementException

  Add substitute rules using the XML for a WorkSubstituteRulesDocument instance, generated by calling WorkSubstituteRulesDocument.xmlText().

  Parameters:
    `rulesXML` -
  Throws:
    `ManagementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD